Booklinker.API

<back to all web services

GetLinksRequest

Requires Authentication
The following routes are available for this service:
GET/v1/links/list
GetLinksRequest Parameters:
NameParameterData TypeRequiredDescription
IdsqueryList<string>No
PaginatedBaseRequest Parameters:
NameParameterData TypeRequiredDescription
SkipformintNo
TakeformintNo
GetLinksResponse Parameters:
NameParameterData TypeRequiredDescription
AllLinksLoadedformboolNo
ResultsformList<LinkResult>No
ResponseStatusformResponseStatusNo
LinkResult Parameters:
NameParameterData TypeRequiredDescription
BaseCodeformstringNo
UrlformstringNo
OriginalUrlformstringNo
ImageUrlformstringNo
RetailerformstringNo
TitleformstringNo
AuthorformstringNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /v1/links/list HTTP/1.1 
Host: api.booklinker.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"allLinksLoaded":false,"results":[{"baseCode":"String","url":"String","originalUrl":"String","imageUrl":"String","retailer":"String","title":"String","author":"String"}],"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}